// TCPDlg.h : header file
//

#if !defined(AFX_TCPDLG_H__4B4CB7E7_0DD1_11D1_8C92_444553540000__INCLUDED_)
#define AFX_TCPDLG_H__4B4CB7E7_0DD1_11D1_8C92_444553540000__INCLUDED_

#include "gensock.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CTCPDlg dialog

class CTCPDlg : public CDialog
{
// Construction
public:
	CTCPDlg(CWnd* pParent = NULL);	// standard constructor
	 ~CTCPDlg();

// Dialog Data
	//{{AFX_DATA(CTCPDlg)
	enum { IDD = IDD_TCP_DIALOG };
	CStatic	m_wndStatus;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTCPDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	void ProcessPendingAccept();
	void ProcessPendingRead();

protected:
	BOOL m_bSockErr;
	UINT m_nIDTimer;
	CGenSocket* m_pClntSock;
	CGenSocket* m_pSocket;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTCPDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonOk();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TCPDLG_H__4B4CB7E7_0DD1_11D1_8C92_444553540000__INCLUDED_)
